=== debian/changelog ===
orthanc (1.1.0+dfsg-2build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:03:14 +0000

orthanc (1.1.0+dfsg-2) unstable; urgency=medium

  [ Gianfranco Costamagna and Sebastien Jodogne ]
  * Fix for cmake to find new versions of dcmtk. Closes: #829608

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 08 Jul 2016 15:42:10 +0200

orthanc (1.1.0+dfsg-1) unstable; urgency=medium

  [ Sebastien Jodogne ]
  * New upstream version
  * Adding of the tool OrthancRecoverCompressedFile. Closes: #823139

  [ Martin Pitt <mpitt@debian.org> ]
  * Drop unnecessary initscripts build dependency. Closes: #828002

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 27 Jun 2016 15:59:58 +0200

orthanc (1.0.0+dfsg-4) unstable; urgency=medium

  * Replace macro "__linux" (now obsolete) with "__linux__". Closes: #821011

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 14 Apr 2016 17:57:56 +0000

orthanc (1.0.0+dfsg-3) unstable; urgency=medium

  [ Sebastien Jodogne ]
  * Stick to 2011 ISO C++ standard as JsonCpp version is now above 1.0.0

  [ Andreas Tille ]
  * d/watch: use repack and compress option
  * Enable building architecture all package separately
    Closes: #820062
  * Fix installation of header files into orthanc-dev package
  * Enhance hardening

 -- Andreas Tille <tille@debian.org>  Fri, 08 Apr 2016 16:44:43 +0200

orthanc (1.0.0+dfsg-2) unstable; urgency=medium

  [ Sebastien Jodogne ]
  * Fix "FTBFS: Please install libdcmtk*-dev". Closes: #818512
  * Fix some lintian issues

  [ Andreas Tille ]
  * cme fix dpkg-control

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 04 Apr 2016 14:15:07 +0200
