=== debian/changelog ===
orthanc (1.2.0+dfsg-1) unstable; urgency=medium

  [ Sebastien Jodogne ]
  * New upstream version

  [ Andreas Tille ]
  * debhelper 10
  * d/watch: version=4

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 13 Dec 2016 20:39:57 +0100

orthanc (1.1.0+dfsg-3) unstable; urgency=medium

  [ Gert Wollny and Sebastien Jodogne]
  * Let the dcmtk package take care of importing libssl-dev. Closes: #844835

  [ Sebastien Jodogne ]
  * Fix to use the new version of Google Test in Debian.
  * Add dependency on lsb-base.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sun, 20 Nov 2016 15:14:12 +0100
