=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: science
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 9),
+               debhelper (>= 10),
                doxygen,
                libboost-all-dev,
                libcharls-dev,
@@ -19,7 +19,6 @@
                libpng-dev,
                libpugixml-dev,
                libsqlite3-dev,
-               libssl-dev,
                libwrap0-dev,
                unzip,
                uuid-dev,
@@ -34,6 +33,7 @@
 Architecture: any
 Depends: adduser,
          dcmtk,
+	 lsb-base,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Lightweight, RESTful DICOM server for medical imaging
