## orthanc 1.3.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project(Orthanc)
 
 # Version of the build, should always be "mainline" except in release branches
-set(ORTHANC_VERSION "1.2.0")
+set(ORTHANC_VERSION "1.3.0")
 
 # Version of the database schema. History:
 #   * Orthanc 0.1.0 -> Orthanc 0.3.0 = no versioning
@@ -53,8 +53,8 @@
 
 # Advanced parameters
 SET(USE_PUGIXML ON CACHE BOOL "Use the Pugixml parser (turn off only for debug)")
-SET(USE_DCMTK_361 OFF CACHE BOOL "Use forthcoming DCMTK version 3.6.1 in static builds (instead of 3.6.0)")
-SET(USE_DCMTK_361_PRIVATE_DIC ON CACHE BOOL "Use the dictionary of private tags from DCMTK 3.6.1 in static builds (which is more up-to-date)")
+SET(USE_DCMTK_360 OFF CACHE BOOL "Use older DCMTK version 3.6.0 in static builds (instead of default 3.6.2)")
+SET(USE_DCMTK_362_PRIVATE_DIC ON CACHE BOOL "Use the dictionary of private tags from DCMTK 3.6.2 if using DCMTK 3.6.0")
 
 # Distribution-specific settings
 SET(USE_GTEST_DEBIAN_SOURCE_PACKAGE OFF CACHE BOOL "Use the sources of Google Test shipped with libgtest-dev (Debian only)")
@@ -69,6 +69,7 @@
 # Path to the root folder of the Orthanc distribution
 set(ORTHANC_ROOT ${CMAKE_SOURCE_DIR})
 set(ENABLE_DCMTK_NETWORK ON)
+set(USE_BOOST_LOCALE_BACKEND OFF)
 
 # Some basic inclusions
 include(CheckIncludeFiles)
@@ -267,7 +268,7 @@
 
 if (CMAKE_COMPILER_IS_GNUCXX
     AND NOT CMAKE_CROSSCOMPILING 
-    AND NOT USE_DCMTK_361)
+    AND USE_DCMTK_360)
   # Add the "-pedantic" flag only on the Orthanc sources, and only if
   # using DCMTK 3.6.0
   set_source_files_properties(${ORTHANC_ALL_SOURCES}
@@ -289,4 +290,3 @@
 
 
 #####################################################################
-## Inclusion of third-party dependencies
