=== debian/changelog ===
orthanc (1.3.0+dfsg-1build1) artful; urgency=medium

  * Rebuild against new libdcmtk12.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 22 Aug 2017 23:08:15 +0200

orthanc (1.3.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 20 Jul 2017 08:52:24 +0200

orthanc (1.2.0+dfsg-3) unstable; urgency=medium

  * Fix FTBFS with libsqlite3-dev >= 3.19.0. Closes: #867782

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 10 Jul 2017 11:34:52 +0200

orthanc (1.2.0+dfsg-2) unstable; urgency=medium

  * Fix FTBFS with libdcmtk-dev 3.6.1~20170228-2. Closes: #865606

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 23 Jun 2017 10:25:41 +0200
