=== debian/control ===
--- 
+++ 
@@ -20,11 +20,12 @@
                libpugixml-dev,
                libsqlite3-dev,
                libwrap0-dev,
+               locales,
                unzip,
                uuid-dev,
                zlib1g-dev,
                yui-compressor
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/orthanc.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/orthanc.git
 Homepage: http://www.orthanc-server.com/
@@ -33,6 +34,7 @@
 Architecture: any
 Depends: adduser,
          dcmtk,
+         locales,
 	 lsb-base,
          ${misc:Depends},
          ${shlibs:Depends}
