=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,12 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk   # To access the "DEB_VERSION" variable
 
 export DESTDIR := $(CURDIR)/debian/tmp
 export DOC_DIR := $(DESTDIR)/usr/share/doc/orthanc
 export PLUGINS_DIR := $(DESTDIR)/usr/share/orthanc/plugins
 
-export DEBIAN_VERSION := $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
-export UPSTREAM_VERSION := $(shell echo "$(DEBIAN_VERSION)" | cut -d '+' -f 1)
+export UPSTREAM_VERSION := $(shell echo "$(DEB_VERSION)" | cut -d '+' -f 1)
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
@@ -58,7 +59,14 @@
 	ln -s /usr/share/javascript/jquery/jquery.min.js Build/OrthancPluginDocumentation/doc/jquery.js
 
 override_dh_auto_test:
-	( cd Build; ./UnitTests )
+        # Generate the en_US.UTF-8 locale before running tests
+        # (required for case-insensitive comparison of strings with
+        # accents). Full explanation:
+        # https://www.mattfischer.com/blog/archives/105
+	mkdir -p $(DESTDIR)/locale/
+	localedef -f UTF-8 -i en_US $(DESTDIR)/locale/en_US.UTF-8/
+
+	( cd Build; LOCPATH=$(DESTDIR)/locale/ ./UnitTests )
 
 override_dh_clean:
 	rm -rf ThirdPartyDownloads
